Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.binding
Interface BindingIndex

All Known Implementing Classes:
  GinjectorBindings

    public interface BindingIndex

Simple interface for an index of bound keys in the Ginjector.

Method Summary
`boolean` | `isBound(Key<?> key)` Returns true if the passed key is bound in the Ginjector.

Method Detail

### isBound

    boolean isBound(Key<?> key)

  Returns true if the passed key is bound in the Ginjector.

  Note: This only works reliably in the source-generation phase of the ginjector generation since during the binding processing phase not all keys are guaranteed to have been looked at.

  Parameters:
    `key` - key to be checked
  Returns:
    true if key is bound.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD